Trust Centers
Get Trust Center subscriber
Gets a specific subscriber on a Trust Center.
GET
/
trust-centers
/
{slugId}
/
subscribers
/
{subscriberId}
Get Trust Center subscriber
curl --request GET \
--url https://api.vanta.com/v1/trust-centers/{slugId}/subscribers/{subscriberId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vanta.com/v1/trust-centers/{slugId}/subscribers/{subscriberId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vanta.com/v1/trust-centers/{slugId}/subscribers/{subscriberId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "a2f7e1b9d0c3f4e5a6c7b8d9",
"email": "subscriber@example.com",
"isEmailVerified": true,
"creationDate": "2020-01-01T00:00:00.000Z",
"customerTrustAccountId": null,
"groups": [
{
"id": "b3e8f2c0d1a4f5e6b7d8c9e0",
"name": "Security Managers"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
200 - application/json
Ok
Unique identifier for the subscriber.
Email of the subscriber.
Whether the subscriber's email has been verified.
When the subscriber was created.
The ID of the customer trust account this subscriber is linked to, if any.
Groups this subscriber belongs to.
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Get Trust Center subscriber
